<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */

/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * @package     [[]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Rss
{
    var $rss;

    var $mode = 'rss';

    var $ver = '2.0';

    var $contents;

    var $xml;

    /**
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Rss", "Rss#execute");

        $this->makeRSS();
        return 'success';
    }

    /**
     * RSS生成
     *
     * $requestには、RSSを作るためのクエリとパラメータを設定する。
     * 
     * 
     *
     **/
    function makeRSS() {
        $this->xml = $this->rss->getXml($this->mode, $this->ver, $this->contents);
        header("Content-Type: text/xml; charset=utf-8");
        echo $this->xml;
        exit;
    }
}
?>
